# class OpenSSL::Digest

- OpenSSL::Digest
- Reference
- Object

##
Included Modules

- OpenSSL::DigestBase

##
Defined in:

##
Constructors

- .new(name, ctx : LibCrypto::EVP_MD_CTX)
- .new(name)

##
Instance Method Summary

- #block_size
- #clone
- #digest_size
- #finalize
- #name : String
- #reset
- #to_unsafe : Pointer(LibCrypto::EVP_MD_CTX_Struct)
- #to_unsafe_md
- #update(data : String | Slice)

### Instance methods inherited from module `OpenSSL::DigestBase`

<<(data) : Digest <<, base64digest : String base64digest, digest : Bytes digest, file(file_name : Path | String) : Digest file, hexdigest : String hexdigest, to_s(io : IO) : Nil to_s, update(io : IO) : Digest update

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, __crystal_pseudo_! : Bool __crystal_pseudo_!, __crystal_pseudo_as(type : Class) __crystal_pseudo_as, __crystal_pseudo_as?(type : Class) __crystal_pseudo_as?, __crystal_pseudo_is_a?(type : Class) : Bool __crystal_pseudo_is_a?, __crystal_pseudo_nil? : Bool __crystal_pseudo_nil?, __crystal_pseudo_responds_to?(name : Symbol) : Bool __crystal_pseudo_responds_to?, class class, dup dup, hash(hasher)
hash hash, inspect : String
inspect(io : IO) : Nil inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Constructor Detail

def self.new(name, ctx : LibCrypto::EVP_MD_CTX) #
def self.new(name) #

##
Instance Method Detail

def block_size #
def clone #
def digest_size #
def finalize #
def name : String #
def reset #
def to_unsafe : Pointer(LibCrypto::EVP_MD_CTX_Struct) #
def to_unsafe_md #
def update(data : String | Slice) #